# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: 'https://github.com/pre-commit/pre-commit-hooks'
    rev: v4.2.0
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: check-symlinks
      - id: check-yaml
      - id: end-of-file-fixer
      - id: requirements-txt-fixer
      - id: trailing-whitespace
  - repo: 'https://github.com/antonbabenko/pre-commit-terraform'
    rev: v1.68.1
    hooks:
      - id: terraform_docs
      - id: terraform_fmt
      - id: terraform_tflint
